#1 - 08/14/2012 08:19 PM - Eric Faulhaber

The content for these slides will come from the database_field_references.odt chapter of the P2J Conversion Reference.

The slides filename in Bazaar (in the p2j_training/developer1/ project) should be database_field_references.odp.

Please note that I have not yet had a chance to review this chapter, other than a cursory skim, so if you see something that looks questionable,

please ask about it.  This also means we might need to tweak the slides later, if I find we need to make changes to the chapter, once I have a chance

to review.

#2 - 08/16/2012 10:17 AM - Eugenie Lyzenko

Question:

...

Progress 4GL also provides the ASSIGN statement, which allows multiple fields to be assigned in batch, postponing the field and index validation until

after the last assignment was executed.  In the converted code, the generated DMO property assignment will follow the same rules as when the

ASSIGN statement was not used (i.e. the property setter will be invoked to set its value).

...

Does it mean the converted code will support and implement assigning in a batch with postponing field and index validation?

Answer:

Yes, it must.  Not doing so would break application code which depends upon this deferred validation.

Question:

Can we say the P2J works the same as 4GL here or P2J simulates this behavior by different approaches?

 

Answer:

It is enough to say it works the same way.  It is not necessary to discuss the internal details of the runtime implementation.
#3 - 08/16/2012 12:27 PM - Eugenie Lyzenko

- Status changed from New to WIP

#4 - 08/16/2012 07:36 PM - Eugenie Lyzenko

- % Done changed from 0 to 30

#5 - 08/16/2012 07:37 PM - Eugenie Lyzenko

The first portion has been uploaded into bzr.

#6 - 08/17/2012 05:12 PM - Eugenie Lyzenko

- % Done changed from 30 to 60

The next portion of the document uploaded in bzr. This covers up to "Other Uses of the FieldReference Class" subsection.

#7 - 08/22/2012 10:18 AM - Eugenie Lyzenko

- % Done changed from 60 to 90

The last portion of the draft document has been uploaded into bzr. It is now ready to review.

#8 - 11/13/2019 11:48 AM - Greg Shah

- Status changed from WIP to Closed

- % Done changed from 90 to 100
